{% extends 'base.html.twig' %}

{% block title %}Liste des Editeurs{% endblock %}

 {% block body %}
<div class="card">
    <!-- /.card-header -->
    <div class="card-body">
        <table id="example1" class="table table-bordered table-striped" style="text-align: center">
            <thead>
            <tr>
                <th>Nom d'Editeur</th>
                <th>Pays</th>
                <th>Adresse</th>
                <th>Telephone</th>
                <th style="width: 150px">Actions</th>
            </tr>
            </thead>

            <tbody>
            {% for editeur in editeurs %}
                <tr>
                    <td>{{ editeur.nomEditeur }}</td>
                    <td>{{ editeur.pays }}</td>
                    <td>{{ editeur.adresse }}</td>
                    <td>{{ editeur.telephone }}</td>
                    <td style="display: flex; align-items: center; justify-content: center;">
                        {#<a href="{{ path('editeur_show', {'id': editeur.id}) }}" class="btn btn-primary btn-block"
                                   style="padding: 5px; background-color: #343a40; border-color: #343a40;">Afficher</a>#}
                        <form method="post" action="{{ path('editeur_delete', {'id': editeur.id}) }}"
                              onsubmit="return confirm('Etes-vous sûr que vous voulez supprimer cet Editeur?');"
                              style="padding-right: 10px; /*padding-left: 10px;*/">
                            <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ editeur.id) }}">
                            <button class="btn btn-primary btn-block" style="padding: 3px;
                                    background-color: #343a40; border-color: #343a40;">Supprimer</button>
                        </form>
                        <a href="{{ path('editeur_edit', {'id': editeur.id}) }}" class="btn btn-primary btn-block"
                           style="padding: 3px; background-color: #343a40; border-color: #343a40;">Modifier</a>
                    </td>
                </tr>
            {% else %}
                <tr>
                    <td colspan="6">Il n'y a aucun editeur</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
        <div style="padding-top: 20px; display: flex; align-items: center; justify-content: center">
            <a href="{{ path('editeur_new') }}">
                <button class="btn btn-primary btn-block" style="/*padding: 3px;*/ background-color: #343a40;
                            border-color: #343a40; width: 500px">Ajouter un Editeur</button>
            </a>
        </div>
    </div>
    <!-- /.card-body -->
</div>
{% endblock %}